## gcovr 2.4

=== gcovr/tests/bad++char/Makefile ===
all:
	g++ -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase

run: txt xml

txt:
	./testcase
	../../../scripts/gcovr -r . -d -o coverage.txt

xml:
	./testcase
	../../../scripts/gcovr -r . -d -x -o coverage.xml

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage.txt coverage.xml

=== gcovr/tests/cmake_oos/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.6.4 FATAL_ERROR)

project(gcovrtest)

if (UNIX)
  set(CMAKE_BUILD_TYPE DEBUG)
  set(CMAKE_C_FLAGS ${CMAKE_C_FLAGS} "-O0 -Wall -fprofile-arcs -ftest-coverage")
  set(CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS} "-O0 -Wall -fprofile-arcs -ftest-coverage")
  set(CMAKE_EXE_LINKER_FLAGS ${CMAKE_CXX_FLAGS} "-fprofile-arcs -ftest-coverage")
  set(CMAKE_SHARED_LINKER_FLAGS ${CMAKE_CXX_FLAGS} "-fprofile-arcs -ftest-coverage")
else()
  message(STATUS "coverage flags not supported for this plaform.")
endif()


add_executable(gcovrtest main.cpp)

=== gcovr/tests/cmake_oos/Makefile ===
# Original build.sh script from ticket:
#   rm -fr build
#   mkdir build
#   cd build
#   cmake ..
#   make
#   gcovrtest

all:
	mkdir -p build
	cd build && cmake .. && make

run: txt xml

txt:
	cd build && gcovrtest
	../../../scripts/gcovr -r . -d -o coverage.txt

xml:
	cd build && gcovrtest
	../../../scripts/gcovr -r . -d -x -o coverage.xml

clean:
	rm -rf build
	rm -f coverage.txt coverage.xml

=== gcovr/tests/filter-test/Makefile ===
all:
	g++ -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase

run: txt xml

txt:
	./testcase
	../../../scripts/gcovr -f '.*/tests/' -d -o coverage.txt

xml:
	./testcase
	../../../scripts/gcovr -f '.*/tests/' -d -x -o coverage.xml

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage.txt coverage.xml

=== gcovr/tests/shared_lib/Makefile ===
CFLAGS=-fprofile-arcs -ftest-coverage

BASE_OS:=$(shell uname | cut -d'-' -f1)
ifeq ($(BASE_OS),Darwin)
  DYNLIB_EXT  = dylib
  CFLAGS     += -fPIC
  SOFLAGS    += -dynamiclib -undefined dynamic_lookup
endif
ifeq ($(BASE_OS),CYGWIN_NT)
  DYNLIB_EXT = dll
  #DEFINES   += -mno-cygwin
  #SOFLAGS   += -shared -wl,--kill-at
  SOFLAGS    += -shared 
endif
ifeq ($(BASE_OS),Linux)
  DYNLIB_EXT  = so
  CFLAGS     += -fPIC 
  SOFLAGS    += -shared 
endif

ifndef DYNLIB_EXT
  $(error ERROR: platform $(BASE_OS) not supported)
endif

all:
	g++ $(CFLAGS) -c lib/lib.cpp -o obj/libs.o
	g++ $(CFLAGS) $(SOFLAGS) -shared obj/libs.o -o lib/libs.$(DYNLIB_EXT)
	cd testApp && $(MAKE)

run: txt xml

xml:
	LD_LIBRARY_PATH=`pwd`/lib testApp/test/a.out
	../../../scripts/gcovr -r . -v -d -x -o coverage.xml

txt:
	LD_LIBRARY_PATH=`pwd`/lib testApp/test/a.out
	../../../scripts/gcovr -r . -d -o coverage.txt

clean:
	rm -rf obj/*
	rm -f lib/*.so
	rm -rf testApp/test/*
	rm -f testApp/*.gc*
	rm -f coverage.xml coverage.txt

=== gcovr/tests/shared_lib/testApp/Makefile ===
CFLAGS=-fprofile-arcs -ftest-coverage

all: test/a.out

test/a.out: tmp.cpp
	g++ $(CFLAGS) -I../lib/ $^ -o $@ -L../lib -ls

=== debian/changelog ===
gcovr (2.4-0ubuntu1) quantal; urgency=low

  [ Allan LeSage ]
  * Initial release (LP: #1046332)

  [Michael Terry]
  * Clean up packaging a bit

 -- Michael Terry <mterry@ubuntu.com>  Wed, 05 Sep 2012 10:34:34 -0400

=== debian/control ===
Source: gcovr
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               python (>= 2.6.6-3~),
               python-setuptools,
X-Python-Version: >= 2.4
Standards-Version: 3.9.3
Homepage: https://software.sandia.gov/svn/public/fast/gcovr

Package: gcovr
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: Manages the compilation of coverage information from gcov
 The gcovr command provides a utility for running the gcov command and
 summarizing code coverage results. This command is inspired by the
 Python coverage.py package, which provides a similar utility in
 Python. Further, gcovr can be viewed as a command-line alternative of
 the lcov utility, which runs gcov and generates an HTML output.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2

get-orig-source:
	export VERSION=`dpkg-parsechangelog | sed -n -e 's/^Version: \(.*\)-[^-]*$$/\1/p'`; \
	export FOLDER=gcovr-$${VERSION}; \
	svn export --quiet https://software.sandia.gov/svn/public/fast/gcovr/tags/$${VERSION} $${FOLDER}; \
	tar cJf gcovr_$${VERSION}.orig.tar.xz $${FOLDER}; \
	rm -rf $${FOLDER};

## gcovr 3.1

=== gcovr/tests/linked/Makefile ===
CFLAGS= -fprofile-arcs -ftest-coverage -fPIC

all: links
	$(CXX) $(CFLAGS) -c subdir/A/file1.cpp -o subdir/A/file1.o
	$(CXX) $(CFLAGS) -c subdir/A/file2.cpp -o subdir/A/file2.o
	$(CXX) $(CFLAGS) -c subdir/A/file3.cpp -o subdir/A/file3.o
	$(CXX) $(CFLAGS) -c subdir/A/file4.cpp -o subdir/A/file4.o
	$(CXX) $(CFLAGS) -c subdir/A/C/file5.cpp -o subdir/A/C/file5.o
	$(CXX) $(CFLAGS) -c subdir/m/n/C/D/file6.cpp -o subdir/m/n/C/D/file6.o
	$(CXX) $(CFLAGS) -c subdir/B/main.cpp -o subdir/B/main.o
	$(CXX) $(CFLAGS) subdir/A/file1.o subdir/A/file2.o subdir/A/file3.o subdir/A/file4.o subdir/A/C/file5.o subdir/m/n/C/D/file6.o subdir/B/main.o -o subdir/testcase

run: txt xml html

txt:
	./subdir/testcase
	../../../scripts/gcovr -r . -d -o coverage.txt

xml:
	./subdir/testcase
	../../../scripts/gcovr -r . -d -x -o coverage.xml

html:
	./subdir/testcase
	../../../scripts/gcovr -r . -d --html --html-details -o coverage.html

clean:
	rm -Rf subdir
	rm -f coverage.txt coverage.xml coverage*.html

links:
	if ! [ -d "subdir" ]; then\
	   mkdir subdir;\
	   cd subdir;\
	   ln -s ../../nested/subdir/B .;\
	   mkdir -p m;\
	   cd m;\
	   ln -s ../../../nested/subdir/A n;\
	   cd ..;\
	   ln -s m/n A;\
	   cd ..;\
	fi

=== gcovr/tests/nested/Makefile ===
CFLAGS= -fprofile-arcs -ftest-coverage -fPIC

all:
	$(CXX) $(CFLAGS) -c subdir/A/file1.cpp -o subdir/A/file1.o
	$(CXX) $(CFLAGS) -c subdir/A/file2.cpp -o subdir/A/file2.o
	$(CXX) $(CFLAGS) -c subdir/A/file3.cpp -o subdir/A/file3.o
	$(CXX) $(CFLAGS) -c subdir/A/file4.cpp -o subdir/A/file4.o
	$(CXX) $(CFLAGS) -c subdir/A/C/file5.cpp -o subdir/A/C/file5.o
	$(CXX) $(CFLAGS) -c subdir/A/C/D/file6.cpp -o subdir/A/C/D/file6.o
	$(CXX) $(CFLAGS) -c subdir/B/main.cpp -o subdir/B/main.o
	$(CXX) $(CFLAGS) subdir/A/file1.o subdir/A/file2.o subdir/A/file3.o subdir/A/file4.o subdir/A/C/file5.o subdir/A/C/D/file6.o subdir/B/main.o -o subdir/testcase

run: txt xml html

txt:
	./subdir/testcase
	cd ./subdir; ../../../../scripts/gcovr -r .. -d -o ../coverage.txt

xml:
	./subdir/testcase
	cd ./subdir; ../../../../scripts/gcovr -r .. -d -x -o ../coverage.xml

html:
	./subdir/testcase
	cd ./subdir; ../../../../scripts/gcovr -r .. -d --html --html-details -o ../coverage.html

clean:
	rm -f ./subdir/testcase
	rm -f *.gc* */*.gc* */*/*.gc* */*/*/*.gc* */*/*/*/*.gc*
	rm -f *.o */*.o */*/*.o */*/*/*.o */*/*/*/*.o
	rm -f coverage.txt coverage.xml coverage*.html

=== debian/changelog ===
gcovr (3.1-1ubuntu1) utopic; urgency=medium

  * debian/patches/fix-root-arg.patch:
    - Fix bug that parsed the --root argument as an array, instead of a
      string.  This meant we kept searching '/' as well as some nonsense
      one-character directories.  Backported from upstream 3.2 release.

 -- Michael Terry <mterry@ubuntu.com>  Mon, 11 Aug 2014 10:28:52 -0400

gcovr (3.1-1) unstable; urgency=medium

  * New upstream release (Closes: #729224)

  [ Sylvestre Ledru ]
  * Add a watch file
  * Simplify debian/rules
  * Update of the copyright file
  * Add the Vcs-Browser & Vcs-Git fields
  * Add myself as uploader

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Tue, 03 Jun 2014 10:33:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,16 @@
 Section: devel
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Wolfgang Silbermayr <wolfgang@silbermayr.at>
+Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9),
                python (>= 2.6.6-3~),
                python-setuptools,
 X-Python-Version: >= 2.4
-Standards-Version: 3.9.3
-Homepage: https://software.sandia.gov/svn/public/fast/gcovr
+Standards-Version: 3.9.5
+Homepage: http://gcovr.com/
+Vcs-Browser: https://github.com/silwol/gcovr
+Vcs-Git: https://github.com/silwol/gcovr.git
 
 Package: gcovr
 Architecture: all

## gcovr 3.2

=== doc/Makefile ===
.PHONY: all anchors outputs clean manpages

export XML_CATALOG_FILES = catalog.xml
PY = python
XSLTPROC_OPTS := --stringparam toc.section.depth 2 --stringparam generate.section.toc.level 1
DBLATEX_OPTS  := -P latex.output.revhistory=0 -P doc.collab.show=1 -P toc.section.depth=2
A2X_OPTS      := -a toc -a icons -L -d article -v --xsltproc-opts "$(XSLTPROC_OPTS)" --dblatex-opts "$(DBLATEX_OPTS)"

%.html: %.txt anchors outputs
	asciidoc -a data-uri -v -b html -d article -n -a toc2 -a icons $<

# Ignore errors (dblatex may not be installed)
%.pdf: %.txt anchors outputs
	- a2x -f pdf $(A2X_OPTS) $<

# Ignore errors
%.epub: %.txt anchors outputs
	- a2x -f epub $(A2X_OPTS) $<

all: guide.html guide.pdf guide.epub

html: guide.html

pdf: guide.pdf

epub: guide.epub

anchors: guide.txt
	$(PY) include_anchors.py $<

outputs:
	../scripts/gcovr -h > examples/gcovr.out

clean:
	- \rm -f guide.xml
	- \rm -f examples/.*.py examples/.*.h examples/.*.cpp examples/.*.sh examples/runner examples/TEST*.xml examples/parsetab.py examples/*.orig examples/runner.cpp examples/*.html examples/*/*.html

=== gcovr/tests/bad++char/Makefile ===
all:
	$(CXX) -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase

run: txt xml html

txt:
	./testcase
	../../../scripts/gcovr -r . -d -o coverage.txt

xml:
	./testcase
	../../../scripts/gcovr -r . -d -x -o coverage.xml

html:
	./testcase
	../../../scripts/gcovr -r . -d --html --html-details -o coverage.html

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/cmake_oos/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.6.4 FATAL_ERROR)

project(gcovrtest)

if (UNIX)
  set(CMAKE_BUILD_TYPE DEBUG)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O0 -Wall -fprofile-arcs -ftest-coverage ")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O0 -Wall -fprofile-arcs -ftest-coverage ")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage ")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage ")
else()
  message(STATUS "coverage flags not supported for this plaform.")
endif()


add_executable(gcovrtest main.cpp)

=== gcovr/tests/cmake_oos/Makefile ===
# Original build.sh script from ticket:
#   rm -fr build
#   mkdir build
#   cd build
#   cmake ..
#   make
#   gcovrtest

all:
	mkdir -p build
	cd build && cmake .. && make

run: txt xml html

txt:
	cd build && ./gcovrtest
	../../../scripts/gcovr -r . -d -o coverage.txt

xml:
	cd build && ./gcovrtest
	../../../scripts/gcovr -r . -d -x -o coverage.xml

html:
	cd build && ./gcovrtest
	../../../scripts/gcovr -r . -d --html --html-details -o coverage.html

clean:
	rm -rf build
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/dot/Makefile ===
CFLAGS= -fprofile-arcs -ftest-coverage -fPIC

all:
	$(CXX) $(CFLAGS) -c .subdir/A/file1.cpp -o .subdir/A/file1.o
	$(CXX) $(CFLAGS) -c .subdir/A/file2.cpp -o .subdir/A/file2.o
	$(CXX) $(CFLAGS) -c .subdir/A/file3.cpp -o .subdir/A/file3.o
	$(CXX) $(CFLAGS) -c .subdir/A/file4.cpp -o .subdir/A/file4.o
	$(CXX) $(CFLAGS) -c .subdir/A/C/file5.cpp -o .subdir/A/C/file5.o
	$(CXX) $(CFLAGS) -c .subdir/A/C/D/file6.cpp -o .subdir/A/C/D/file6.o
	$(CXX) $(CFLAGS) -c .subdir/B/main.cpp -o .subdir/B/main.o
	$(CXX) $(CFLAGS) .subdir/A/file1.o .subdir/A/file2.o .subdir/A/file3.o .subdir/A/file4.o .subdir/A/C/file5.o .subdir/A/C/D/file6.o .subdir/B/main.o -o .subdir/testcase

run: txt xml html

txt:
	./.subdir/testcase
	../../../scripts/gcovr -r . -d -o coverage.txt

xml:
	./.subdir/testcase
	../../../scripts/gcovr -r . -d -x -o coverage.xml

html:
	./.subdir/testcase
	../../../scripts/gcovr -r . -d --html --html-details -o coverage.html

clean:
	rm -f ./.subdir/testcase
	rm -f .*.gc* */*.gc* .*/*/*.gc* .*/*/*/*.gc* .*/*/*/*/*.gc*
	rm -f .*.o .*/*.o .*/*/*.o .*/*/*/*.o .*/*/*/*/*.o
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/excl-branch/Makefile ===
all:
	$(CXX) -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase

run: txt xml html

txt:
	./testcase
	../../../scripts/gcovr --exclude-unreachable-branches -b -r . -d -o coverage.txt

xml:
	./testcase
	../../../scripts/gcovr --exclude-unreachable-branches -b -r . -d -x -o coverage.xml

html:
	./testcase
	../../../scripts/gcovr --exclude-unreachable-branches -b -r . -d --html --html-details -o coverage.html

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/filter-test/Makefile ===
CFLAGS= -fprofile-arcs -ftest-coverage -fPIC

all:
	$(CXX) $(CFLAGS) -c file1.cpp -o file1.o
	$(CXX) $(CFLAGS) -c main.cpp -o main.o
	$(CXX) $(CFLAGS) main.o file1.o -o testcase

run: txt xml html

GCOVR_TEST_OPTIONS = -f '.*main.cpp' -r '.'

txt:
	./testcase
	../../../scripts/gcovr $(GCOVR_TEST_OPTIONS) -d -o coverage.txt

xml:
	./testcase
	../../../scripts/gcovr $(GCOVR_TEST_OPTIONS) -d -x -o coverage.xml

html:
	./testcase
	../../../scripts/gcovr $(GCOVR_TEST_OPTIONS) -d --html --html-details -o coverage.html

clean:
	rm -f testcase
	rm -f *.gc* *.o
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/linked/Makefile ===
--- 
+++ 
@@ -5,10 +5,11 @@
 	$(CXX) $(CFLAGS) -c subdir/A/file2.cpp -o subdir/A/file2.o
 	$(CXX) $(CFLAGS) -c subdir/A/file3.cpp -o subdir/A/file3.o
 	$(CXX) $(CFLAGS) -c subdir/A/file4.cpp -o subdir/A/file4.o
+	$(CXX) $(CFLAGS) -c subdir/A/file7.cpp -o subdir/A/file7.o
 	$(CXX) $(CFLAGS) -c subdir/A/C/file5.cpp -o subdir/A/C/file5.o
 	$(CXX) $(CFLAGS) -c subdir/m/n/C/D/file6.cpp -o subdir/m/n/C/D/file6.o
 	$(CXX) $(CFLAGS) -c subdir/B/main.cpp -o subdir/B/main.o
-	$(CXX) $(CFLAGS) subdir/A/file1.o subdir/A/file2.o subdir/A/file3.o subdir/A/file4.o subdir/A/C/file5.o subdir/m/n/C/D/file6.o subdir/B/main.o -o subdir/testcase
+	$(CXX) $(CFLAGS) subdir/A/file1.o subdir/A/file2.o subdir/A/file3.o subdir/A/file4.o subdir/A/C/file5.o subdir/m/n/C/D/file6.o subdir/A/file7.o subdir/B/main.o -o subdir/testcase
 
 run: txt xml html

=== gcovr/tests/oos/Makefile ===
CFLAGS= -fprofile-arcs -ftest-coverage -fPIC

all:
	mkdir -p build
	$(CXX) $(CFLAGS) -c src/file1.cpp -o build/file1.o
	$(CXX) $(CFLAGS) -c src/main.cpp -o build/main.o
	$(CXX) $(CFLAGS) build/main.o build/file1.o -o build/testcase

run: txt xml html

GCOVR_TEST_OPTIONS = -r '.'

txt:
	build/testcase
	../../../scripts/gcovr $(GCOVR_TEST_OPTIONS) -d -o coverage.txt

xml:
	build/testcase
	../../../scripts/gcovr $(GCOVR_TEST_OPTIONS) -d -x -o coverage.xml

html:
	build/testcase
	../../../scripts/gcovr $(GCOVR_TEST_OPTIONS) -d --html --html-details -o coverage.html

clean:
	rm -f build/*
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/shared_lib/Makefile ===
CFLAGS=-fprofile-arcs -ftest-coverage
INSTALL ?= install -p

BASE_OS:=$(shell uname | cut -d'-' -f1)
ifeq ($(BASE_OS),Darwin)
  DYNLIB_EXT  = dylib
  CFLAGS     += -fPIC
  SOFLAGS    += -dynamiclib -undefined dynamic_lookup
endif
ifeq ($(BASE_OS),CYGWIN_NT)
  DYNLIB_EXT = dll
  #DEFINES   += -mno-cygwin
  #SOFLAGS   += -shared -wl,--kill-at
  SOFLAGS    += -shared 
endif
ifeq ($(BASE_OS),Linux)
  DYNLIB_EXT  = so
  CFLAGS     += -fPIC 
  SOFLAGS    += -shared 
endif

ifndef DYNLIB_EXT
  $(error ERROR: platform $(BASE_OS) not supported)
endif

all:
	$(INSTALL) -d obj
	$(CXX) $(CFLAGS) -c lib/lib.cpp -o obj/libs.o
	$(CXX) $(CFLAGS) $(SOFLAGS) -shared obj/libs.o -o lib/libs.$(DYNLIB_EXT)
	$(MAKE) -C testApp

run: txt xml html

txt:
	LD_LIBRARY_PATH=`pwd`/lib testApp/test/a.out
	../../../scripts/gcovr -r . -d -o coverage.txt

xml:
	LD_LIBRARY_PATH=`pwd`/lib testApp/test/a.out
	../../../scripts/gcovr -r . -d -x -o coverage.xml

html:
	LD_LIBRARY_PATH=`pwd`/lib testApp/test/a.out
	../../../scripts/gcovr -r . -d --html --html-details -o coverage.html

clean:
	rm -rf obj
	rm -f lib/*.so
	rm -f coverage.xml coverage.txt coverage*.html
	$(MAKE) -C testApp clean

=== gcovr/tests/shared_lib/testApp/Makefile ===
CFLAGS=-fprofile-arcs -ftest-coverage
INSTALL ?= install -p

all: test/a.out

test/a.out: tmp.cpp
	$(INSTALL) -d $(dir $@)
	$(CXX) $(CFLAGS) -I../lib/ $^ -o $@ -L../lib -ls

clean:
	rm -rf test
	rm -f *.gc*

=== debian/changelog ===
gcovr (3.2-1) unstable; urgency=medium

  * New upstream release

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Thu, 31 Jul 2014 11:54:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gcovr
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Wolfgang Silbermayr <wolfgang@silbermayr.at>
+Maintainer: Wolfgang Silbermayr <wolfgang@silbermayr.at>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9),
                python (>= 2.6.6-3~),

## gcovr 3.3

=== debian/changelog ===
gcovr (3.3-1) unstable; urgency=medium

  * New upstream release
  * Reference collab-maint git repository instead of github
  * Update manpage to 3.3
  * Add dh-python build-dependency
  * Use machine-readable license in copyright file
  * Update standards version to 3.9.8

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Sat, 27 Aug 2016 07:32:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Build-Depends: debhelper (>= 9),
                python (>= 2.6.6-3~),
                python-setuptools,
+               dh-python,
 X-Python-Version: >= 2.4
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://gcovr.com/
-Vcs-Browser: https://github.com/silwol/gcovr
-Vcs-Git: https://github.com/silwol/gcovr.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gcovr.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/gcovr.git
 
 Package: gcovr
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

PYTHON2_VERSIONS = $(shell pyversions -r)
pyalldo = set -e; $(foreach py, $(PYTHON2_VERSIONS), $(py) $(1);)

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info
	rm README.txt

## gcovr 3.4

=== doc/Makefile ===
.PHONY: all outputs clean tests clean-images

PYTHON ?= python

SCREENSHOT_FROM_HTML = wkhtmltoimage --width 700 --quality 5

SCREENSHOTS = screenshot-html.png screenshot-html-details.example.cpp.png

%.html: %.rst outputs
	rst2html5.py --embed-stylesheet $< $@

all: guide.html

html: guide.html

guide.html: $(SCREENSHOTS)

screenshot-%.png: examples/example-%.html
	$(SCREENSHOT_FROM_HTML) $< $@

examples/example-%.html:
	cd examples; ./example_html.sh

outputs:
	../scripts/gcovr -h > examples/gcovr.out

tests:
	$(PYTHON) examples/test_examples.py -v

clean:
	rm -f `cat .gitignore`

clean-images:
	rm -f $(SCREENSHOTS)

=== gcovr/tests/bad++char/Makefile ===
all:
	$(CXX) -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase

run: txt xml html

txt:
	./testcase
	../../../scripts/gcovr -d -o coverage.txt

xml:
	./testcase
	../../../scripts/gcovr -d -x -o coverage.xml

html:
	./testcase
	../../../scripts/gcovr -d --html --html-details -o coverage.html

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/cmake_oos/Makefile ===
# Original build.sh script from ticket:
#   rm -fr build
#   mkdir build
#   cd build
#   cmake ..
#   make
#   gcovrtest

CMAKE ?= cmake

all:
	mkdir -p build
	cd build && $(CMAKE) .. && make

run: txt xml html

txt:
	cd build && ./gcovrtest
	../../../scripts/gcovr -d -o coverage.txt

xml:
	cd build && ./gcovrtest
	../../../scripts/gcovr -d -x -o coverage.xml

html:
	cd build && ./gcovrtest
	../../../scripts/gcovr -d --html --html-details -o coverage.html

clean:
	rm -rf build
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/excl-branch/Makefile ===
all:
	$(CXX) -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase

run: txt xml html

txt:
	./testcase
	../../../scripts/gcovr --exclude-unreachable-branches -b -d -o coverage.txt

xml:
	./testcase
	../../../scripts/gcovr --exclude-unreachable-branches -b -d -x -o coverage.xml

html:
	./testcase
	../../../scripts/gcovr --exclude-unreachable-branches -b -d --html --html-details -o coverage.html

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/filter-test/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 run: txt xml html
 
-GCOVR_TEST_OPTIONS = -f '.*main.cpp' -r '.'
+GCOVR_TEST_OPTIONS = -f '.*main.cpp'
 
 txt:
 	./testcase

=== gcovr/tests/filter-test2/Makefile ===
CFLAGS= -fprofile-arcs -ftest-coverage -fPIC

BASE_OS:=$(shell uname | cut -d'-' -f1)
ifeq ($(BASE_OS),MSYS_NT)
  GCOVR_TEST_OPTIONS := -f $(shell pwd | cygpath -w)\\main.cpp
else
  GCOVR_TEST_OPTIONS := -f $(shell pwd)/main.cpp
endif

all:
	$(CXX) $(CFLAGS) -c file1.cpp -o file1.o
	$(CXX) $(CFLAGS) -c main.cpp -o main.o
	$(CXX) $(CFLAGS) main.o file1.o -o testcase

run: txt xml html

txt:
	./testcase
	echo "$(GCOVR_TEST_OPTIONS)"
	../../../scripts/gcovr $(GCOVR_TEST_OPTIONS) -d -o coverage.txt

xml:
	./testcase
	../../../scripts/gcovr $(GCOVR_TEST_OPTIONS) -d -x -o coverage.xml

html:
	./testcase
	../../../scripts/gcovr $(GCOVR_TEST_OPTIONS) -d --html --html-details -o coverage.html

clean:
	rm -f testcase
	rm -f *.gc* *.o
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/linked/Makefile ===
--- 
+++ 
@@ -15,15 +15,15 @@
 
 txt:
 	./subdir/testcase
-	../../../scripts/gcovr -r . -d -o coverage.txt
+	../../../scripts/gcovr -d -o coverage.txt
 
 xml:
 	./subdir/testcase
-	../../../scripts/gcovr -r . -d -x -o coverage.xml
+	../../../scripts/gcovr -d -x -o coverage.xml
 
 html:
 	./subdir/testcase
-	../../../scripts/gcovr -r . -d --html --html-details -o coverage.html
+	../../../scripts/gcovr -d --html --html-details -o coverage.html
 
 clean:
 	rm -Rf subdir

=== gcovr/tests/nested2-use-existing/Makefile ===
CFLAGS= -fprofile-arcs -ftest-coverage -fPIC
GCOV ?= gcov

export GCOV

all:
	make -C subdir/A
	$(CXX) $(CFLAGS) -c subdir/B/main.cpp -o subdir/B/main.o
	$(CXX) $(CFLAGS) subdir/B/main.o subdir/A/file1.o subdir/A/file2.o subdir/A/file3.o subdir/A/file4.o subdir/A/C/file5.o subdir/A/C/D/file6.o subdir/A/file7.o  -o subdir/B/testcase -lgcov

run: txt xml html

txt:
	./subdir/B/testcase
	make -C subdir/A coverage
	$(GCOV) --branch-counts --branch-probabilities --preserve-paths subdir/B/main.o
	../../../scripts/gcovr -r subdir -g -k -o coverage.txt .

xml:
	./subdir/B/testcase
	make -C subdir/A coverage
	$(GCOV) --branch-counts --branch-probabilities --preserve-paths subdir/B/main.o
	../../../scripts/gcovr -r subdir -g -k -x -o coverage.xml .

html:
	./subdir/B/testcase
	make -C subdir/A coverage
	$(GCOV) --branch-counts --branch-probabilities --preserve-paths subdir/B/main.o
	../../../scripts/gcovr -r subdir -g -k --html --html-details -o coverage.html .

clean:
	rm -f ./subdir/B/testcase subdir/lib.a
	rm -f *.gc* */*.gc* */*/*.gc* */*/*/*.gc* */*/*/*/*.gc*
	rm -f *.o */*.o */*/*.o */*/*/*.o */*/*/*/*.o
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/nested2/Makefile ===
CFLAGS= -fprofile-arcs -ftest-coverage -fPIC

all:
	make -C subdir/A
	$(CXX) $(CFLAGS) -c subdir/B/main.cpp -o subdir/B/main.o
	$(CXX) $(CFLAGS) subdir/B/main.o subdir/A/file1.o subdir/A/file2.o subdir/A/file3.o subdir/A/file4.o subdir/A/C/file5.o subdir/A/C/D/file6.o subdir/A/file7.o  -o subdir/B/testcase -lgcov

run: txt xml html

txt:
	./subdir/B/testcase
	../../../scripts/gcovr -r subdir -d -o coverage.txt

xml:
	./subdir/B/testcase
	../../../scripts/gcovr -r subdir -d -x -o coverage.xml

html:
	./subdir/B/testcase
	../../../scripts/gcovr -r subdir -d --html --html-details -o coverage.html

clean:
	rm -f ./subdir/B/testcase subdir/lib.a
	rm -f *.gc* */*.gc* */*/*.gc* */*/*/*.gc* */*/*/*/*.gc*
	rm -f *.o */*.o */*/*.o */*/*/*.o */*/*/*/*.o
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/nested3/Makefile ===
CFLAGS= -fprofile-arcs -ftest-coverage -fPIC

all:
	- mkdir objs
	cd subdir; $(CXX) $(CFLAGS) -c A/file1.cpp -o ../objs/file1.o
	cd subdir; $(CXX) $(CFLAGS) -c A/file1.cpp -o ../objs/file1.o
	cd subdir; $(CXX) $(CFLAGS) -c A/file2.cpp -o ../objs/file2.o
	cd subdir; $(CXX) $(CFLAGS) -c A/file3.cpp -o ../objs/file3.o
	cd subdir; $(CXX) $(CFLAGS) -c A/file4.cpp -o ../objs/file4.o
	cd subdir; $(CXX) $(CFLAGS) -c A/file7.cpp -o ../objs/file7.o
	cd subdir; $(CXX) $(CFLAGS) -c A/C/file5.cpp -o ../objs/file5.o
	cd subdir; $(CXX) $(CFLAGS) -c A/C/D/file6.cpp -o ../objs/file6.o
	cd subdir; $(CXX) $(CFLAGS) -c B/main.cpp -o ../objs/main.o
	cd subdir; $(CXX) $(CFLAGS) ../objs/file1.o ../objs/file2.o ../objs/file3.o ../objs/file4.o ../objs/file5.o ../objs/file6.o ../objs/file7.o ../objs/main.o -o ./testcase

run: txt xml html

txt:
	./subdir/testcase
	../../../scripts/gcovr -r subdir --object-directory objs -d -o coverage.txt

xml:
	./subdir/testcase
	../../../scripts/gcovr -r subdir --object-directory objs -d -x -o coverage.xml

html:
	./subdir/testcase
	../../../scripts/gcovr -r subdir --object-directory objs -d --html --html-details -o coverage.html

clean:
	rm -f ./subdir/testcase
	rm -f *.gc* */*.gc* */*/*.gc* */*/*/*.gc* */*/*/*/*.gc*
	rm -f *.o */*.o */*/*.o */*/*/*.o */*/*/*/*.o
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/nobranch/Makefile ===
all:
	$(CXX) -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase

run: txt xml html

txt:
	./testcase
	../../../scripts/gcovr -d --branch --fail-under-branch 100.0 -o coverage.txt

xml:
	./testcase
	../../../scripts/gcovr -d --fail-under-branch 100.0 -x -o coverage.xml

html:
	./testcase
	../../../scripts/gcovr -d --fail-under-branch 100.0 --html --html-details -o coverage.html

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/oos/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 run: txt xml html
 
-GCOVR_TEST_OPTIONS = -r '.'
+GCOVR_TEST_OPTIONS =
 
 txt:
 	build/testcase

=== debian/changelog ===
gcovr (3.4-1) unstable; urgency=medium

  * New upstream release
  * Move the debian repo to salsa
  * Standards-Version updated to 4.1.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 24 Feb 2018 17:05:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: gcovr
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Wolfgang Silbermayr <wolfgang@silbermayr.at>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9),
@@ -8,10 +8,10 @@
                python-setuptools,
                dh-python,
 X-Python-Version: >= 2.4
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://gcovr.com/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gcovr.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/gcovr.git
+Vcs-Browser: https://salsa.debian.org/debian/gcovr
+Vcs-Git: https://salsa.debian.org/debian/gcovr.git
 
 Package: gcovr
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	dh_auto_clean
 	rm -rf build
 	rm -rf *.egg-info
-	rm README.txt
+

## gcovr 4.0

=== debian/changelog ===
gcovr (4.0-1) unstable; urgency=medium

  * New upstream release
  * Move to python 3 (2 is no longer supported by upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 23 Jun 2018 15:05:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Wolfgang Silbermayr <wolfgang@silbermayr.at>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9),
-               python (>= 2.6.6-3~),
+               python3,
                python-setuptools,
                dh-python,
-X-Python-Version: >= 2.4
+X-Python3-Version: >= 3.6
 Standards-Version: 4.1.3
 Homepage: http://gcovr.com/
 Vcs-Browser: https://salsa.debian.org/debian/gcovr
@@ -16,7 +16,7 @@
 Package: gcovr
 Architecture: all
 Depends: ${misc:Depends},
-         ${python:Depends},
+         ${python3:Depends},
 Description: Manages the compilation of coverage information from gcov
  The gcovr command provides a utility for running the gcov command and
  summarizing code coverage results. This command is inspired by the

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

PYTHON3_VERSIONS = $(shell py3versions -r)
pyalldo = set -e; $(foreach py, $(PYTHON3_VERSIONS), $(py) $(1);)

%:
	dh $@ --with python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

## gcovr 4.1

=== requirements.txt ===
pyutilib
pytest
flake8

=== gcovr/tests/bad++char/Makefile ===
all:
	$(CXX) -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase

run: txt xml html

txt:
	./testcase
	$(GCOVR) -d -o coverage.txt

xml:
	./testcase
	$(GCOVR) -d -x -o coverage.xml

html:
	./testcase
	$(GCOVR) -d --html-details -o coverage.html

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/cmake_oos/Makefile ===
--- 
+++ 
@@ -16,15 +16,15 @@
 
 txt:
 	cd build && ./gcovrtest
-	../../../scripts/gcovr -d -o coverage.txt
+	$(GCOVR) -d -o coverage.txt
 
 xml:
 	cd build && ./gcovrtest
-	../../../scripts/gcovr -d -x -o coverage.xml
+	$(GCOVR) -d -x -o coverage.xml
 
 html:
 	cd build && ./gcovrtest
-	../../../scripts/gcovr -d --html --html-details -o coverage.html
+	$(GCOVR) -d --html-details -o coverage.html
 
 clean:
 	rm -rf build

=== gcovr/tests/dot/Makefile ===
--- 
+++ 
@@ -14,15 +14,15 @@
 
 txt:
 	./.subdir/testcase
-	../../../scripts/gcovr -r . -d -o coverage.txt
+	$(GCOVR) -r . -d -o coverage.txt
 
 xml:
 	./.subdir/testcase
-	../../../scripts/gcovr -r . -d -x -o coverage.xml
+	$(GCOVR) -r . -d -x -o coverage.xml
 
 html:
 	./.subdir/testcase
-	../../../scripts/gcovr -r . -d --html --html-details -o coverage.html
+	$(GCOVR) -r . -d --html-details -o coverage.html
 
 clean:
 	rm -f ./.subdir/testcase

=== gcovr/tests/excl-branch/Makefile ===
all:
	$(CXX) -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase

run: txt xml html

txt:
	./testcase
	$(GCOVR) --exclude-unreachable-branches -b -d -o coverage.txt

xml:
	./testcase
	$(GCOVR) --exclude-unreachable-branches -b -d -x -o coverage.xml

html:
	./testcase
	$(GCOVR) --exclude-unreachable-branches -b -d --html-details -o coverage.html

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/exclude-directories-relative/Makefile ===
CFLAGS= -fprofile-arcs -ftest-coverage -fPIC

all:
	mkdir -p build/a build/b
	$(CXX) $(CFLAGS) -c a/file1.cpp -o build/a/file1.o
	$(CXX) $(CFLAGS) -c b/main.cpp -o build/b/main.o
	$(CXX) $(CFLAGS) build/b/main.o build/a/file1.o -o testcase

run: txt xml html

GCOVR_TEST_OPTIONS = --exclude-directories 'build/a'

txt:
	./testcase
	$(GCOVR) $(GCOVR_TEST_OPTIONS) -d -o coverage.txt

xml:
	./testcase
	$(GCOVR) $(GCOVR_TEST_OPTIONS) -d -x -o coverage.xml

html:
	./testcase
	$(GCOVR) $(GCOVR_TEST_OPTIONS) -d --html-details -o coverage.html

clean:
	rm -f testcase
	rm -f *.gc* *.o
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/exclude-relative/Makefile ===
CFLAGS= -fprofile-arcs -ftest-coverage -fPIC

all:
	$(CXX) $(CFLAGS) -c file1.cpp -o file1.o
	$(CXX) $(CFLAGS) -c main.cpp -o main.o
	$(CXX) $(CFLAGS) main.o file1.o -o testcase

run: txt xml html

GCOVR_TEST_OPTIONS = -e 'file1.cpp'  # use a relative filter here

txt:
	./testcase
	$(GCOVR) $(GCOVR_TEST_OPTIONS) -d -o coverage.txt

xml:
	./testcase
	$(GCOVR) $(GCOVR_TEST_OPTIONS) -d -x -o coverage.xml

html:
	./testcase
	$(GCOVR) $(GCOVR_TEST_OPTIONS) -d --html-details -o coverage.html

clean:
	rm -f testcase
	rm -f *.gc* *.o
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/filter-absolute/Makefile ===
CFLAGS= -fprofile-arcs -ftest-coverage -fPIC

BASE_OS:=$(shell uname | cut -d'-' -f1)
ifneq (,$(findstring MINGW,$(BASE_OS)))
  BASE_OS:=MSYS_NT
endif
ifeq ($(BASE_OS),MSYS_NT)
  # "cygpath -m" is the mixed mode: Windows drive letters but forward slashes
  GCOVR_TEST_OPTIONS := -f $(shell cygpath -m "$$PWD")/main.cpp
else
  GCOVR_TEST_OPTIONS := -f $(shell pwd)/main.cpp
endif

all:
	$(CXX) $(CFLAGS) -c file1.cpp -o file1.o
	$(CXX) $(CFLAGS) -c main.cpp -o main.o
	$(CXX) $(CFLAGS) main.o file1.o -o testcase

run: txt xml html

txt:
	./testcase
	echo "$(GCOVR_TEST_OPTIONS)"
	$(GCOVR) $(GCOVR_TEST_OPTIONS) -d -o coverage.txt

xml:
	./testcase
	$(GCOVR) $(GCOVR_TEST_OPTIONS) -d -x -o coverage.xml

html:
	./testcase
	$(GCOVR) $(GCOVR_TEST_OPTIONS) -d --html-details -o coverage.html

clean:
	rm -f testcase
	rm -f *.gc* *.o
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/filter-relative-lib/Makefile ===
CFLAGS= -fprofile-arcs -ftest-coverage -fPIC

all: links
	cd project; $(CXX) $(CFLAGS) -c src/main.cpp -o main.o
	cd project; $(CXX) $(CFLAGS) -c ignore-this/no.cpp -o no.o
	cd project; $(CXX) $(CFLAGS) -c relevant-library/src/yes.cpp -o yes.o
	cd project; $(CXX) $(CFLAGS) main.o no.o yes.o -o testcase

run: txt xml html

GCOVR_TEST_OPTIONS = -f src/ -f '\.\./external-library/src'

txt:
	cd project; ./testcase
	cd project; $(GCOVR) $(GCOVR_TEST_OPTIONS) -d -o ../coverage.txt

xml:
	cd project; ./testcase
	cd project; $(GCOVR) $(GCOVR_TEST_OPTIONS) -d -x -o ../coverage.xml

html:
	cd project; ./testcase
	cd project; $(GCOVR) $(GCOVR_TEST_OPTIONS) -d --html-details -o ../coverage.html

links:
	cd project; \
	   test -d relevant-library || ln -sT ../external-library relevant-library

clean:
	cd project; rm -f testcase *.gc* *.o relevant-library
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/filter-relative/Makefile ===
CFLAGS= -fprofile-arcs -ftest-coverage -fPIC

all:
	$(CXX) $(CFLAGS) -c file1.cpp -o file1.o
	$(CXX) $(CFLAGS) -c main.cpp -o main.o
	$(CXX) $(CFLAGS) main.o file1.o -o testcase

run: txt xml html

GCOVR_TEST_OPTIONS = -f 'main.cpp'  # use a relative filter here

txt:
	./testcase
	$(GCOVR) $(GCOVR_TEST_OPTIONS) -d -o coverage.txt

xml:
	./testcase
	$(GCOVR) $(GCOVR_TEST_OPTIONS) -d -x -o coverage.xml

html:
	./testcase
	$(GCOVR) $(GCOVR_TEST_OPTIONS) -d --html-details -o coverage.html

clean:
	rm -f testcase
	rm -f *.gc* *.o
	rm -f coverage.txt coverage.xml coverage*.html

=== gcovr/tests/html-encoding-cp1252/Makefile ===
all:
	$(CXX) -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase

run: txt xml html

txt:
	# pass

xml:
	# pass

html:
	./testcase
	$(GCOVR) -d --html-details -o coverage.html --source-encoding utf8 --html-encoding cp1252

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage*.html

=== gcovr/tests/html-encoding-iso-8859-15/Makefile ===
all:
	$(CXX) -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase

run: txt xml html

txt:
	# pass

xml:
	# pass

html:
	./testcase
	$(GCOVR) -d --html-details -o coverage.html --source-encoding utf8 --html-encoding iso-8859-15

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage*.html

=== debian/changelog ===
gcovr (4.1-2) unstable; urgency=medium

  * Fix dependency on python3
  * Depend on python3-pkg-resources (Closes: #905722)
  * Depend on lcov which gets called by the binary
  * Update manpage for version 4.1
  * Remove texinfo reference from manpage (Closes: #843548)
  * Remove trailing whitespace from debian/control
  * Use secure copyright url
  * Set dh compat version 11
  * Update standards to 4.2.1

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Mon, 03 Sep 2018 09:32:42 +0200

gcovr (4.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 05 Jul 2018 11:42:44 +0200

## gcovr 4.2

=== requirements.txt ===
flake8 >= 3.7
pytest
pyutilib
typing ; python_version < '3.5'

=== doc/requirements.txt ===
sphinx
sphinx_rtd_theme
sphinxcontrib-autoprogram>=0.1.5

=== gcovr/tests/Makefile ===

clean:
	- for dir in `ls -d *`; do\
	  if [ -d "$${dir}" ] && [ -e "$${dir}/Makefile" ]; then\
	     cd $${dir};\
	     make -f Makefile clean;\
	     cd ..;\
	  fi;\
	done

=== gcovr/tests/add_coverages/Makefile ===
CFLAGS= -fprofile-arcs -ftest-coverage -fPIC

all:
	$(CXX) $(CFLAGS) -c foo.cpp -o foo.o
	$(CXX) $(CFLAGS) -c bar.cpp -o bar.o
	$(CXX) $(CFLAGS) -DFOO -c main.cpp -o main_foo.o
	$(CXX) $(CFLAGS) main_foo.o foo.o -o testcase_foo
	$(CXX) $(CFLAGS) -DBAR -c main.cpp -o main_bar.o
	$(CXX) $(CFLAGS) main_bar.o bar.o -o testcase_bar

run: txt xml html sonarqube json

json_foo:
	./testcase_foo
	$(GCOVR) -d --json-pretty -o coverage_foo.json

json_bar:
	./testcase_bar
	$(GCOVR) -d --json -o coverage_bar.json

txt: json_foo json_bar
	$(GCOVR) -a coverage_foo.json -a coverage_bar.json -o coverage.txt

xml: json_foo json_bar
	$(GCOVR) -a coverage_foo.json -a coverage_bar.json -x -o coverage.xml

html: json_foo json_bar
	$(GCOVR) -a coverage_foo.json -a coverage_bar.json --html-details -o coverage.html

sonarqube: json_foo json_bar
	$(GCOVR) -a coverage_foo.json -a coverage_bar.json --sonarqube sonarqube.xml

json: json_foo json_bar
	$(GCOVR) -a coverage_foo.json -a coverage_bar.json --json-pretty -o coverage.json

clean:
	rm -f testcase_*
	rm -f *.gc*
	rm -f *.o
	rm -f coverage.txt coverage.xml coverage*.html sonarqube.xml coverage*.json

=== gcovr/tests/bad++char/Makefile ===
all:
	$(CXX) -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase

run: txt xml html sonarqube json

txt:
	./testcase
	$(GCOVR) -d -o coverage.txt

xml:
	./testcase
	$(GCOVR) -d -x -o coverage.xml

html:
	./testcase
	$(GCOVR) -d --html-details -o coverage.html

sonarqube:
	./testcase
	$(GCOVR) -d --sonarqube sonarqube.xml

json:
	# pass

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage.txt coverage.xml coverage*.html sonarqube.xml

=== gcovr/tests/cmake_oos/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.6.4 FATAL_ERROR)

project(gcovrtest)

# Previously, this would only add the coverage flags under UNIX. That is
# wrong, because the flags don't depend on the platform but on the compiler.
# Because gcovr only supports GCC and compatible (i.e. Clang), no check is
# necessary – when the flags don't work, the tests should fail!

set(CMAKE_BUILD_TYPE DEBUG)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O0 -Wall -fprofile-arcs -ftest-coverage ")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O0 -Wall -fprofile-arcs -ftest-coverage ")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage ")
set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage ")


add_executable(gcovrtest main.cpp)

=== gcovr/tests/cmake_oos/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	mkdir -p build
 	cd build && $(CMAKE) .. && make
 
-run: txt xml html
+run: txt xml html sonarqube json
 
 txt:
 	cd build && ./gcovrtest
@@ -26,7 +26,14 @@
 	cd build && ./gcovrtest
 	$(GCOVR) -d --html-details -o coverage.html
 
+sonarqube:
+	cd build && ./gcovrtest
+	$(GCOVR) -d --sonarqube sonarqube.xml
+
+json:
+	# pass
+
 clean:
 	rm -rf build
-	rm -f coverage.txt coverage.xml coverage*.html
+	rm -f coverage.txt coverage.xml coverage*.html sonarqube.xml

=== gcovr/tests/dot/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	$(CXX) $(CFLAGS) -c .subdir/B/main.cpp -o .subdir/B/main.o
 	$(CXX) $(CFLAGS) .subdir/A/file1.o .subdir/A/file2.o .subdir/A/file3.o .subdir/A/file4.o .subdir/A/C/file5.o .subdir/A/C/D/file6.o .subdir/B/main.o -o .subdir/testcase
 
-run: txt xml html
+run: txt xml html sonarqube json
 
 txt:
 	./.subdir/testcase
@@ -24,8 +24,15 @@
 	./.subdir/testcase
 	$(GCOVR) -r . -d --html-details -o coverage.html
 
+sonarqube:
+	./.subdir/testcase
+	$(GCOVR) -r . -d --sonarqube sonarqube.xml
+
+json:
+	# pass
+
 clean:
 	rm -f ./.subdir/testcase
 	rm -f .*.gc* */*.gc* .*/*/*.gc* .*/*/*/*.gc* .*/*/*/*/*.gc*
 	rm -f .*.o .*/*.o .*/*/*.o .*/*/*/*.o .*/*/*/*/*.o
-	rm -f coverage.txt coverage.xml coverage*.html
+	rm -f coverage.txt coverage.xml coverage*.html sonarqube.xml

=== gcovr/tests/excl-branch/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 all:
 	$(CXX) -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase
 
-run: txt xml html
+run: txt xml html sonarqube json
 
 txt:
 	./testcase
@@ -15,7 +15,14 @@
 	./testcase
 	$(GCOVR) --exclude-unreachable-branches -b -d --html-details -o coverage.html
 
+sonarqube:
+	./testcase
+	$(GCOVR) --exclude-unreachable-branches -b -d --sonarqube sonarqube.xml
+
+json:
+	# pass
+
 clean:
 	rm -f testcase
 	rm -f *.gc*
-	rm -f coverage.txt coverage.xml coverage*.html
+	rm -f coverage.txt coverage.xml coverage*.html sonarqube.xml

=== gcovr/tests/exclude-directories-relative/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	$(CXX) $(CFLAGS) -c b/main.cpp -o build/b/main.o
 	$(CXX) $(CFLAGS) build/b/main.o build/a/file1.o -o testcase
 
-run: txt xml html
+run: txt xml html sonarqube json
 
 GCOVR_TEST_OPTIONS = --exclude-directories 'build/a'
 
@@ -22,7 +22,14 @@
 	./testcase
 	$(GCOVR) $(GCOVR_TEST_OPTIONS) -d --html-details -o coverage.html
 
+sonarqube:
+	./testcase
+	$(GCOVR) $(GCOVR_TEST_OPTIONS) -d --sonarqube sonarqube.xml
+
+json:
+	# pass
+
 clean:
 	rm -f testcase
-	rm -f *.gc* *.o
-	rm -f coverage.txt coverage.xml coverage*.html
+	rm -rf build  # remove *.gc* *.o
+	rm -f coverage.txt coverage.xml coverage*.html sonarqube.xml

=== gcovr/tests/exclude-relative/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	$(CXX) $(CFLAGS) -c main.cpp -o main.o
 	$(CXX) $(CFLAGS) main.o file1.o -o testcase
 
-run: txt xml html
+run: txt xml html sonarqube json
 
 GCOVR_TEST_OPTIONS = -e 'file1.cpp'  # use a relative filter here
 
@@ -21,7 +21,14 @@
 	./testcase
 	$(GCOVR) $(GCOVR_TEST_OPTIONS) -d --html-details -o coverage.html
 
+sonarqube:
+	./testcase
+	$(GCOVR) $(GCOVR_TEST_OPTIONS) -d --sonarqube sonarqube.xml
+
+json:
+	# pass
+
 clean:
 	rm -f testcase
 	rm -f *.gc* *.o
-	rm -f coverage.txt coverage.xml coverage*.html
+	rm -f coverage.txt coverage.xml coverage*.html sonarqube.xml

=== gcovr/tests/exclude-throw-branches/Makefile ===
all:
	$(CXX) -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase

run: txt xml html sonarqube json

txt:
	./testcase
	$(GCOVR) -b                             -o coverage-throw.txt
	$(GCOVR) -b -d --exclude-throw-branches -o coverage-excl-throw.txt

xml:
	./testcase
	$(GCOVR)    -x                          -o coverage-throw.xml
	$(GCOVR) -d -x --exclude-throw-branches -o coverage-excl-throw.xml

html:
	./testcase
	$(GCOVR)    --html-details                          -o coverage-throw.html
	$(GCOVR) -d --html-details --exclude-throw-branches -o coverage-excl-throw.html

sonarqube:
	./testcase
	$(GCOVR)			     --sonarqube sonarqube-throw.xml
	$(GCOVR) -d --exclude-throw-branches --sonarqube sonarqube-excl-throw.xml

json:
	# pass

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage-*.txt coverage-*.xml coverage-*.html sonarqube-*.xml

=== debian/changelog ===
gcovr (4.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 25 Nov 2019 09:05:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Wolfgang Silbermayr <wolfgang@silbermayr.at>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                python3,
-               python-setuptools,
+               python3-setuptools,
                dh-python,
 X-Python3-Version: >= 3.6
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: http://gcovr.com/
 Vcs-Browser: https://salsa.debian.org/debian/gcovr
 Vcs-Git: https://salsa.debian.org/debian/gcovr.git
@@ -17,6 +17,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+         lcov,
+         python3-pkg-resources,
 Description: Manages the compilation of coverage information from gcov
  The gcovr command provides a utility for running the gcov command and
  summarizing code coverage results. This command is inspired by the

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,9 @@
 pyalldo = set -e; $(foreach py, $(PYTHON3_VERSIONS), $(py) $(1);)
 
 %:
-	dh $@ --with python3
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf build
 	rm -rf *.egg-info
-
